# vim: set sw=4 ts=4 et nu:

Name:               ezstream
Version:            0.5.6
Release:            3.2
Summary:            Icecast media streaming client
Source:             http://downloads.xiph.org/releases/ezstream/ezstream-%{version}.tar.gz
URL:                http://www.icecast.org/ezstream.php
Group:              Productivity/Multimedia/Sound/Players
License:            GNU General Public License version 2 or later (GPL v2 or later)
BuildRoot:          %{_tmppath}/build-%{name}-%{version}
BuildRequires:      libtag-devel
BuildRequires:      libxml2-devel
BuildRequires:      libshout-devel
BuildRequires:      gcc make glibc-devel pkgconfig
BuildRequires:      autoconf automake libtool

%description
Ezstream is a command line source client for Icecast media streaming servers.
It began as the successor of the old "shout" utility, and has since gained a
lot of useful features.

In its basic mode of operation, it streams media files or data from standard
input without reencoding and thus requires only very little CPU resources. It
can also use various external decoders and encoders to reencode from one format
to another, and stream the result to an Icecast server. Additional features
include scriptable playlist and metadata handling. All of its features make
ezstream a very flexible source client.

Supported media formats for streaming are MP3, Ogg Vorbis and Ogg Theora.
Native metadata support includes MP3 (ID3v1 only) and Ogg Vorbis, and many more
formats when the optional TagLib support has been compiled in.

%prep
%setup -q
FAKE_BUILDDATE=$(LC_ALL=C date -u -r %{_sourcedir}/%{name}.changes '+%%B %%d, %%Y')
sed -i "s/BUILD_DATE=\$(date '+%%B %%d, %%Y')/BUILD_DATE=\"$FAKE_BUILDDATE\"/" configure

%build
%configure
%__make %{?_smp_flags}

%install
%makeinstall

%__rm examples/Makefile*

%__rm -rf "%{buildroot}%{_datadir}/examples"
%__rm -rf "%{buildroot}%{_datadir}/doc"

%clean
%{?buildroot:%__rm -rf "%{buildroot}"}

%files
%defattr(-,root,root)
%doc COPYING NEWS README
%doc examples
%{_bindir}/ezstream
%{_bindir}/ezstream-file.sh
%doc %{_mandir}/man1/ezstream.1*
%doc %{_mandir}/man1/ezstream-file.sh.1*

%changelog
* Fri Mar  2 2012 reddwarf@opensuse.org
- Remove date references from binaries to help build-compare
* Sat Nov 12 2011 pascal.bleser@opensuse.org
- initial version (0.5.6)
